Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 574416 - <www-client/chromium-48.0.2564.109: multiple vulnerabilities
Summary: <www-client/chromium-48.0.2564.109: multiple vulnerabilities
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: http://googlechromereleases.blogspot....
Whiteboard: A2 [glsa]
Keywords:
Depends on: CVE-2016-1629
Blocks:
  Show dependency tree
 
Reported: 2016-02-11 11:17 UTC by Agostino Sarubbo
Modified: 2016-03-12 12:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-02-11 11:17:56 UTC
From ${URL} :


TUESDAY, FEBRUARY 9, 2016

Stable Channel Update
The stable channel has been updated to 48.0.2564.109 for Windows, Mac, and Linux. 

 Security Fixes and Rewards

Note: Access to bug details and links may be kept restricted until a majority of users are updated 
with a fix. We will also retain restrictions if the bug exists in a third party library that other 
projects similarly depend on, but haven’t yet fixed.

This update includes 6 security fixes. Below, we highlight fixes that were contributed by external 
researchers. Please see the Chromium security page for more information. 

[$7500][546677] High CVE-2016-1622: Same-origin bypass in Extensions. Credit to anonymous.
[$7500][577105] High CVE-2016-1623: Same-origin bypass in DOM. Credit to Mariusz Mlynski.
[$TBD][583607] High CVE-2016-1624: Buffer overflow in Brotli. Credit to lukezli.
[$1000][509313] Medium CVE-2016-1625: Navigation bypass in Chrome Instant. Credit to Jann Horn.
[571480] Medium CVE-2016-1626: Out-of-bounds read in PDFium. Credit to anonymous, working with HP's 
Zero Day Initiative.

As usual, our ongoing internal security work:
[585517] CVE-2016-1627: Various fixes from internal audits, fuzzing and other initiatives.



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Mike Gilbert gentoo-dev 2016-02-11 16:06:04 UTC
Waiting on upstream to provide a source tarball for 48.0.2564.109.
Comment 3 Agostino Sarubbo gentoo-dev 2016-02-15 09:38:28 UTC
the tarball seems to be available now, but it is 412M
Comment 4 Agostino Sarubbo gentoo-dev 2016-02-15 09:41:47 UTC
(In reply to Agostino Sarubbo from comment #3)
> the tarball seems to be available now, but it is 412M

the lite tarball is available too.
Comment 5 Mike Gilbert gentoo-dev 2016-02-16 20:03:25 UTC
chromium-48.0.2564.109 has been added to the gentoo repository. Please stabilize it.
Comment 6 Richard Freeman gentoo-dev 2016-02-17 12:18:36 UTC
amd64 stable
Comment 7 Kristian Fiskerstrand gentoo-dev Security 2016-02-23 08:30:11 UTC
Missing x86 stabilization, but the version is made obsolete by bug 575434
Comment 8 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-10 12:12:48 UTC
Added to existing GLSA.
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2016-03-12 12:17:07 UTC
This issue was resolved and addressed in
 GLSA 201603-09 at https://security.gentoo.org/glsa/201603-09
by GLSA coordinator Kristian Fiskerstrand (K_F).